commit 1016eea220ffb75a8b8c3031918e1834a8a544e8
Author: Eric Botcazou <ebotcazou@adacore.com>
Date:   Fri Mar 14 00:01:46 2025 +0100

    Plug small loophole in the pattern matching done by -fdump-ada-spec
    
    gcc/c-family/
            PR ada/119265
            * c-ada-spec.cc (dump_ada_node) <INTEGER_TYPE>: Deal with typedefs
            of unsigned __int128.

diff --git a/gcc/c-family/c-ada-spec.cc b/gcc/c-family/c-ada-spec.cc
index e56ef10f443..0f54f904b6a 100644
--- a/gcc/c-family/c-ada-spec.cc
+++ b/gcc/c-family/c-ada-spec.cc
@@ -2193,8 +2193,8 @@ dump_ada_node (pretty_printer *buffer, tree node, tree type, int spc,
     case BOOLEAN_TYPE:
       if (TYPE_NAME (node)
 	  && !(TREE_CODE (TYPE_NAME (node)) == TYPE_DECL
-	       && !strcmp (IDENTIFIER_POINTER (DECL_NAME (TYPE_NAME (node))),
-			   "__int128")))
+	       && !strncmp (IDENTIFIER_POINTER (DECL_NAME (TYPE_NAME (node))),
+			   "__int128", 8)))
 	{
 	  if (TREE_CODE (TYPE_NAME (node)) == IDENTIFIER_NODE)
 	    pp_ada_tree_identifier (buffer, TYPE_NAME (node), node,

